package com.zd.airbottle.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 气瓶入库对象 qp_bottle_storage
 * 
 * @author zd
 * @date 2022-05-19
 */
@ApiModel("气瓶入库")
public class QpBottleStorage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id,数据唯一标识 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 司机名称 */
    @Excel(name = "司机名称")
    @Length(message = "司机名称长度不能超过50")
    @ApiModelProperty(value = "司机名称")
    private String driverName;
    /** 司机id */
    @Excel(name = "司机id")
    @ApiModelProperty(value = "司机id")
    private Long driverId;
    /** 车辆id */
    @Excel(name = "车辆id")
    @ApiModelProperty(value = "车辆id")
    private Long carCodeId;
    /** 车辆号牌 */
    @Excel(name = "车辆号牌")
    @Length(message = "车辆号牌长度不能超过20")
    @ApiModelProperty(value = "车辆号牌")
    private String carCode;
    /** 联系方式 */
    @Excel(name = "联系方式")
    @Length(message = "联系方式长度不能超过11")
    @ApiModelProperty(value = "联系方式")
    private String phone;
    /** 1.灰 2.白3.蓝色 */
    @Excel(name = "1.灰 2.白3.蓝色")
    @ApiModelProperty(value = "1.灰 2.白3.蓝色")
    private Integer color;
    /** 是否有手轮 1有 0无 */
    @Excel(name = "是否有手轮 1有 0无")
    @ApiModelProperty(value = "是否有手轮 1有 0无")
    private Integer isHandwheel;
    /** 1.是 0 否 */
    @Excel(name = "1.是 0 否")
    @ApiModelProperty(value = "1.是 0 否")
    private Integer isFixed;
    /** 电子标签 1有 0没有 */
    @Excel(name = "电子标签 1有 0没有")
    @ApiModelProperty(value = "电子标签 1有 0没有")
    private Integer isElectronicTag;
    /** 状态标牌 1有 0 没有  */
    @Excel(name = "状态标牌 1有 0 没有 ")
    @ApiModelProperty(value = "状态标牌 1有 0 没有 ")
    private Integer isStatusSign;
    /** 是否已拍照 1已拍照  0未拍照 */
    @Excel(name = "是否已拍照 1已拍照  0未拍照")
    @ApiModelProperty(value = "是否已拍照 1已拍照  0未拍照")
    private Integer isPhoto;
    /** 气表压力 */
    @Excel(name = "气表压力")
    @ApiModelProperty(value = "气表压力")
    private Double gasPressure;
    /** 检验有效期(开始时间) */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检验有效期(开始时间)", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "检验有效期(开始时间)")
    private Date validateStartTime;
    /** 检验有效期(结束时间) */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检验有效期(结束时间)", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "检验有效期(结束时间)")
    private Date validateEndTime;
    /** 电子标签 */
    @Excel(name = "电子标签")
    @Length(message = "电子标签长度不能超过200")
    @ApiModelProperty(value = "电子标签")
    private String electronicTag;
    /** 验收备注 */
    @Excel(name = "验收备注")
    @ApiModelProperty(value = "验收备注")
    private String validateRemark;
    /** 拒收图片 */
    @Excel(name = "拒收图片")
    @Length(message = "拒收图片长度不能超过255")
    @ApiModelProperty(value = "拒收图片")
    private String rejectionApplyImg;
    /** 拒收原因 */
    @Excel(name = "拒收原因")
    @Length(message = "拒收原因长度不能超过255")
    @ApiModelProperty(value = "拒收原因")
    private String rejectionApplyRemark;
    /** 拒收申请人 */
    @Excel(name = "拒收申请人")
    @ApiModelProperty(value = "拒收申请人")
    private Long rejectionApplyUserid;
    /** 拒收发起时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "拒收发起时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "拒收发起时间")
    private Date rejectionApplyTime;
    /** 拒收处理人id */
    @Excel(name = "拒收处理人id")
    @ApiModelProperty(value = "拒收处理人id")
    private Long rejectionUserid;
    /** 拒收处理时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "拒收处理时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "拒收处理时间")
    private Date rejectionTime;
    /** 待办清单详情表id */
    @Excel(name = "待办清单详情表id")
    @ApiModelProperty(value = "待办清单详情表id")
    private Long taskDetailId;
    /** 气瓶状态 0入库 1问题气瓶 */
    @Excel(name = "气瓶状态 0入库 1问题气瓶")
    @ApiModelProperty(value = "气瓶状态 0入库 1问题气瓶")
    private Long airStatus;
    /** 待办清单id */
    @Excel(name = "待办清单id")
    @ApiModelProperty(value = "待办清单id")
    private Long taskId;
    /** 入库人员id */
    @Excel(name = "入库人员id")
    @ApiModelProperty(value = "入库人员id")
    private Long storageUserid;
    /** 气瓶编号 */
    @Excel(name = "气瓶编号")
    @Length(message = "气瓶编号长度不能超过50")
    @ApiModelProperty(value = "气瓶编号")
    private String airNumber;
    /** 余量是否符合 0符合  1不符合 */
    @Excel(name = "余量是否符合 0符合  1不符合")
    @ApiModelProperty(value = "余量是否符合 0符合  1不符合")
    private Integer isSurplus;
    /** 当前压力值 */
    @Excel(name = "当前压力值")
    @ApiModelProperty(value = "当前压力值")
    private Double currentPressure;
    /** 气瓶id */
    @Excel(name = "气瓶id")
    @ApiModelProperty(value = "气瓶id")
    private Long airBottleId;
    /** 气瓶名称 */
    @Excel(name = "气瓶名称")
    @Length(message = "气瓶名称长度不能超过50")
    @ApiModelProperty(value = "气瓶名称")
    private String airBottleName;
    /** 规格详情 */
    @Excel(name = "规格详情")
    @Length(message = "规格详情长度不能超过50")
    @ApiModelProperty(value = "规格详情")
    private String specificationName;

    /** 气瓶配置表id */
    @Excel(name = "气瓶配置表id")
    @Length(message = "气瓶配置表id")
    @ApiModelProperty(value = "气瓶配置表id")
    private Long airBottleConfigId;

    /** 入库状态 1闲置 2使用 3出库 */
    @Excel(name = "入库状态 1闲置 2使用 3出库")
    @ApiModelProperty(value = "入库状态 1闲置 2使用 3出库")
    private Integer storageStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public String getDriverName() {        return driverName;    }

    public void setDriverName(String driverName) {        this.driverName = driverName;    }

    public Long getDriverId() {        return driverId;    }

    public void setDriverId(Long driverId) {        this.driverId = driverId;    }

    public void setCarCodeId(Long carCodeId)
    {
        this.carCodeId = carCodeId;
    }

    public Long getCarCodeId()
    {
        return carCodeId;
    }
    public void setCarCode(String carCode)
    {
        this.carCode = carCode;
    }

    public String getCarCode()
    {
        return carCode;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setColor(Integer color)
    {
        this.color = color;
    }

    public Integer getColor()
    {
        return color;
    }
    public void setIsHandwheel(Integer isHandwheel)
    {
        this.isHandwheel = isHandwheel;
    }

    public Integer getIsHandwheel()
    {
        return isHandwheel;
    }
    public void setIsFixed(Integer isFixed)
    {
        this.isFixed = isFixed;
    }

    public Integer getIsFixed()
    {
        return isFixed;
    }
    public void setIsElectronicTag(Integer isElectronicTag)
    {
        this.isElectronicTag = isElectronicTag;
    }

    public Integer getIsElectronicTag()
    {
        return isElectronicTag;
    }
    public void setIsStatusSign(Integer isStatusSign)
    {
        this.isStatusSign = isStatusSign;
    }

    public Integer getIsStatusSign()
    {
        return isStatusSign;
    }
    public void setIsPhoto(Integer isPhoto)
    {
        this.isPhoto = isPhoto;
    }

    public Integer getIsPhoto()
    {
        return isPhoto;
    }
    public void setGasPressure(Double gasPressure)
    {
        this.gasPressure = gasPressure;
    }

    public Double getGasPressure()
    {
        return gasPressure;
    }
    public void setValidateStartTime(Date validateStartTime)
    {
        this.validateStartTime = validateStartTime;
    }

    public Date getValidateStartTime()
    {
        return validateStartTime;
    }
    public void setValidateEndTime(Date validateEndTime)
    {
        this.validateEndTime = validateEndTime;
    }

    public Date getValidateEndTime()
    {
        return validateEndTime;
    }
    public void setElectronicTag(String electronicTag)
    {
        this.electronicTag = electronicTag;
    }

    public String getElectronicTag()
    {
        return electronicTag;
    }
    public void setValidateRemark(String validateRemark)
    {
        this.validateRemark = validateRemark;
    }

    public String getValidateRemark()
    {
        return validateRemark;
    }
    public void setRejectionApplyImg(String rejectionApplyImg)
    {
        this.rejectionApplyImg = rejectionApplyImg;
    }

    public String getRejectionApplyImg()
    {
        return rejectionApplyImg;
    }
    public void setRejectionApplyRemark(String rejectionApplyRemark)
    {
        this.rejectionApplyRemark = rejectionApplyRemark;
    }

    public String getRejectionApplyRemark()
    {
        return rejectionApplyRemark;
    }
    public void setRejectionApplyUserid(Long rejectionApplyUserid)
    {
        this.rejectionApplyUserid = rejectionApplyUserid;
    }

    public Long getRejectionApplyUserid()
    {
        return rejectionApplyUserid;
    }
    public void setRejectionApplyTime(Date rejectionApplyTime)
    {
        this.rejectionApplyTime = rejectionApplyTime;
    }

    public Date getRejectionApplyTime()
    {
        return rejectionApplyTime;
    }
    public void setRejectionUserid(Long rejectionUserid)
    {
        this.rejectionUserid = rejectionUserid;
    }

    public Long getRejectionUserid()
    {
        return rejectionUserid;
    }
    public void setRejectionTime(Date rejectionTime)
    {
        this.rejectionTime = rejectionTime;
    }

    public Date getRejectionTime()
    {
        return rejectionTime;
    }
    public void setTaskDetailId(Long taskDetailId)
    {
        this.taskDetailId = taskDetailId;
    }

    public Long getTaskDetailId()
    {
        return taskDetailId;
    }

    public Long getAirStatus() {
        return airStatus;
    }

    public void setAirStatus(Long airStatus) {
        this.airStatus = airStatus;
    }

    public void setTaskId(Long taskId)
    {
        this.taskId = taskId;
    }

    public Long getTaskId()
    {
        return taskId;
    }

    public Long getStorageUserid() {
        return storageUserid;
    }

    public void setStorageUserid(Long storageUserid) {
        this.storageUserid = storageUserid;
    }

    public Integer getIsSurplus() {
        return isSurplus;
    }

    public void setIsSurplus(Integer isSurplus) {
        this.isSurplus = isSurplus;
    }

    public Double getCurrentPressure() {
        return currentPressure;
    }

    public void setCurrentPressure(Double currentPressure) {
        this.currentPressure = currentPressure;
    }

    public Long getAirBottleId() {
        return airBottleId;
    }

    public void setAirBottleId(Long airBottleId) {
        this.airBottleId = airBottleId;
    }

    public String getAirBottleName() {
        return airBottleName;
    }

    public void setAirBottleName(String airBottleName) {
        this.airBottleName = airBottleName;
    }

    public String getSpecificationName() {
        return specificationName;
    }

    public void setSpecificationName(String specificationName) {
        this.specificationName = specificationName;
    }

    public Long getAirBottleConfigId() {
        return airBottleConfigId;
    }

    public void setAirBottleConfigId(Long airBottleConfigId) {
        this.airBottleConfigId = airBottleConfigId;
    }

    public String getAirNumber() {
        return airNumber;
    }

    public void setAirNumber(String airNumber) {
        this.airNumber = airNumber;
    }

    public Integer getStorageStatus() {        return storageStatus;    }

    public void setStorageStatus(Integer storageStatus) {        this.storageStatus = storageStatus;    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("driverName", getDriverName())
                .append("driverId", getDriverId())
                .append("carCodeId", getCarCodeId())
                .append("carCode", getCarCode())
                .append("phone", getPhone())
                .append("color", getColor())
                .append("isHandwheel", getIsHandwheel())
                .append("isFixed", getIsFixed())
                .append("isElectronicTag", getIsElectronicTag())
                .append("isStatusSign", getIsStatusSign())
                .append("isPhoto", getIsPhoto())
                .append("gasPressure", getGasPressure())
                .append("validateStartTime", getValidateStartTime())
                .append("validateEndTime", getValidateEndTime())
                .append("electronicTag", getElectronicTag())
                .append("validateRemark", getValidateRemark())
                .append("rejectionApplyImg", getRejectionApplyImg())
                .append("rejectionApplyRemark", getRejectionApplyRemark())
                .append("rejectionApplyUserid", getRejectionApplyUserid())
                .append("rejectionApplyTime", getRejectionApplyTime())
                .append("rejectionUserid", getRejectionUserid())
                .append("rejectionTime", getRejectionTime())
                .append("taskDetailId", getTaskDetailId())
                .append("taskId", getTaskId())
                .append("airStatus", getAirStatus())
                .append("storageUserid", getStorageUserid())
                .append("createTime", getCreateTime())
                .append("isSurplus", getIsSurplus())
                .append("currentPressure", getCurrentPressure())
                .append("airBottleId", getAirBottleId())
                .append("airBottleName", getAirBottleName())
                .append("specificationName", getSpecificationName())
                .append("airBottleConfigId", getAirBottleConfigId())
                .append("airNumber", getAirNumber())
                .append("storageStatus", getStorageStatus())
                .toString();
    }
}
